/*
 * tprintf.h : Tiny printf
 * Copyright (C) 2010 256TECH CO.,LTD.
 * This program may be distributed under GNU Lesser GPL version 3 ot later.
 * ### WITH NO WARRANTY ###
 */

#ifndef TPRINTF_H
#define TPRINTF_H

#define printf  t_printf
#define fprintf t_fprintf
#define vprintf t_vprintf

int t_printf(const char *f, ...);
int t_fprintf(const int ch, const char *f, ...);
int t_sprintf(char *s, const char *f, ...);
void _kernel_assert(char *f, ...);

#endif /* TPRINTF_H */
